Skip to main content
`Ctrl`+`K`

# PCMGCycleType

Use V-cycle or W-cycle

## Synopsis

    typedef enum {
      PC_MG_CYCLE_V = 1,
      PC_MG_CYCLE_W = 2
    } PCMGCycleType;

## Values

- `PC_MG_V_CYCLE` - use the V cycle

- `PC_MG_W_CYCLE` - use the W cycle

## See Also

Preconditioners, `PCMG`, `PC`, `PCMGSetCycleType()`

## Level

beginner

## Location

include/petscpctypes.h

## Examples

src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages